POST /v1/orgs/{orgId}/integrations/stripe
Handle connector-based Stripe webhook event
POST
/v1/orgs/{orgId}/integrations/stripe
Handle connector-based Stripe webhook event
Path Parameters
orgId
string
required
path
Organization ID
Query Parameters
secret
string
optional
query
Webhook secret (optional)
Header Parameters
Stripe-Signature
string
required
header
Stripe signature header
Request Body
application/jsonResponses
200
OK
application/jsonaction
string
"triggered", "resumed", "skipped"
eventId
string
Webhook event ID for audit
reason
string
If skipped, the reason
runIds
string[]
Multiple if fan-out (platform) or single (generic)
Array of:
400
Bad Request
401
Unauthorized
curl -X POST 'https://api.example.com/v1/orgs/string/integrations/stripe' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Stripe-Signature: string' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/orgs/string/integrations/stripe', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json", "Stripe-Signature": "string" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN', 'Stripe-Signature': 'string'}response = requests.post('https://api.example.com/v1/orgs/string/integrations/stripe', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("POST", "https://api.example.com/v1/orgs/string/integrations/stripe", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") req.Header.Set("Stripe-Signature", "string") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "action": "<string>", "eventId": "<string>", "reason": "<string>", "runIds": [ "<string>" ]}
API Playground
Try this endpoint
POST
/v1/orgs/{orgId}/integrations/stripe
